package com.theitbulls.gridviewex;

import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

public class MainActivity extends AppCompatActivity {
    private int[] imgResIds = new int[]{ //
            R.drawable.wall_thumb_1, R.drawable.wall_thumb_2, R.drawable.wall_thumb_3, //
            R.drawable.wall_thumb_4, R.drawable.wall_thumb_5, R.drawable.wall_thumb_6, //
            R.drawable.wall_thumb_7, R.drawable.wall_thumb_8, R.drawable.wall_thumb_9, //
            R.drawable.wall_thumb_10, R.drawable.wall_thumb_11, R.drawable.wall_thumb_12, //
            R.drawable.wall_thumb_13, R.drawable.wall_thumb_14, R.drawable.wall_thumb_15, //
            R.drawable.wall_thumb_16, R.drawable.wall_thumb_17, R.drawable.wall_thumb_18, //
            R.drawable.wall_thumb_19, R.drawable.wall_thumb_20, R.drawable.wall_thumb_21, //
            R.drawable.wall_thumb_22, R.drawable.wall_thumb_23, R.drawable.wall_thumb_24, //
            R.drawable.wall_thumb_25, R.drawable.wall_thumb_26, R.drawable.wall_thumb_27, //
            R.drawable.wall_thumb_28, R.drawable.wall_thumb_29, R.drawable.wall_thumb_30, //
            R.drawable.wall_thumb_31, R.drawable.wall_thumb_32, R.drawable.wall_thumb_33, //
            R.drawable.wall_thumb_34, R.drawable.wall_thumb_35, R.drawable.wall_thumb_36};

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.main_activity);

        GridLayoutManager layoutManager = new GridLayoutManager(this, 6);
        layoutManager.setOrientation(RecyclerView.VERTICAL);

        RecyclerView recyclerGridView = findViewById(R.id.recyclerGridView);
        recyclerGridView.setLayoutManager(layoutManager);

        GridViewAdapter adapter = new GridViewAdapter(imgResIds);

        recyclerGridView.setAdapter(adapter);
    }
}
